%define base_name	lablgl
%define srcname		lablGL

%define rel		16
#define cvs		20081204
%define cvs		0
# CVSROOT=:pserver:anoncvs@camlcvs.inria.fr:/caml cvs login
# (empty password)
# cvs co bazar-ocaml/lablGL
%if %cvs
%define distname	%{base_name}-%{cvs}.tar.lzma
%define distdir		lablGL
%define release		%mkrel 0.%{cvs}.%{rel}
%else
%define distname	%{base_name}-%{version}.tar.gz
%define distdir		%{srcname}-%{version}
%define release		%mkrel %{rel}
%endif

Name:		ocaml-%{base_name}
Version:	1.04
Release:	%{release}
Summary:	OpenGL interface for Objective Caml
License:	BSD
Group:		Development/OCaml
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Source0:	http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/%{distname}
Patch0:		lablgl-1.0.4-tcl86.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:	camlp4
BuildRequires:	ocaml-labltk
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	mesaglu-devel
BuildRequires:	freeglut-devel
BuildRequires:	libxmu-devel
Requires:	ocaml-labltk

%package devel
Summary:	OpenGL interface for Objective Caml
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}
Requires:	libxmu-devel
Requires:	mesaglu-devel
Requires:	freeglut-devel

%description 
LablGL is is an Objective Caml interface to OpenGL. Support is included for
use with both Glut (standalone) and LablTk.

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{distdir}
%patch0 -p1 -b .tcl86

cp -f %{_includedir}/tk-private/generic/tkInt.h Togl/src/Togl/tkInt%{tcl_version}.h
cp -f %{_includedir}/tk-private/generic/tkIntDecls.h Togl/src/Togl/tkIntDecls%{tcl_version}.h
sed -i -e 's,tkIntDecls.h,tkIntDecls%{tcl_version}.h,g' Togl/src/Togl/tkInt%{tcl_version}.h

cat > Makefile.config << EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_includedir}
XLIBS = -L%{_libdir} -lXext -lXmu -lX11
TKINCLUDES = -I%{_includedir}
GLINCLUDES =
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut
RANLIB = :
LIBDIR = %{_libdir}/ocaml
DLLDIR = %{_libdir}/ocaml/stublibs
INSTALLDIR = %{_libdir}/ocaml/lablGL
TOGLDIR=Togl
COPTS = %{optflags}
EOF

%build

make all opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_libdir}/ocaml/lablGL
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
make \
   BINDIR=%{buildroot}%{_bindir}\
   INSTALLDIR=%{buildroot}%{_libdir}/ocaml/lablGL\
   DLLDIR=%{buildroot}%{_libdir}/ocaml/stublibs\
   install

rm -f %{buildroot}%{_libdir}/ocaml/lablGL/*.ml

# Make and install a META file.
cat > %{buildroot}%{_libdir}/ocaml/lablGL/META<<EOF
version="%{version}"
directory="+lablGL"
archive(byte) = "lablgl.cma"
archive(native) = "lablgl.cmxa"

package "togl" (
  requires = "labltk lablGL"
  archive(byte) = "togl.cma"
  archive(native) = "togl.cmxa"
)

package "glut" (
  requires = "lablGL"
  archive(byte) = "lablglut.cma"
  archive(native) = "lablglut.cmxa"
)
EOF

%files
%doc COPYRIGHT CHANGES README
%dir %{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/lablGL/*.cmi
%{_libdir}/ocaml/lablGL/*.cma
%{_libdir}/ocaml/lablGL/META
%{_libdir}/ocaml/stublibs/*.so
%{_bindir}/lablgl
%{_bindir}/lablglut

%files devel
%{_bindir}/*
%{_libdir}/ocaml/lablGL/*.a
%{_libdir}/ocaml/lablGL/*.cmx
%{_libdir}/ocaml/lablGL/*.cmxa
%{_libdir}/ocaml/lablGL/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.04-16.mga3
+ Revision: 361417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 1.04-15.mga3
+ Revision: 335562
- Workaround new rpm use of dirname macro

* Thu Oct 18 2012 malo <malo> 1.04-14.mga3
+ Revision: 308022
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.04-13.mga3
+ Revision: 302027
- build requires ocaml-compiler-libs
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.04-11.mga3
+ Revision: 300407
- new rpm group for ocaml

* Mon Dec 12 2011 malo <malo> 1.04-10.mga2
+ Revision: 180816
- removing spurious requires

* Mon Dec 12 2011 malo <malo> 1.04-9.mga2
+ Revision: 180806
- missing Requires to ocaml-labltk
- fixed META file with lablGL dir name
- spec clean-up

* Thu Nov 17 2011 malo <malo> 1.04-8.mga2
+ Revision: 168369
- fix description
- fixing path in META

* Sun Oct 02 2011 shlomif <shlomif> 1.04-7.mga2
+ Revision: 151041
- New version - thanks to Malo.

* Sat Sep 24 2011 fwang <fwang> 1.04-0.20081204.6.mga2
+ Revision: 147200
- br xmu
- br xmu
- fix tk header location
- use freeglut

* Tue Feb 22 2011 mikala <mikala> 1.04-0.20081204.6.mga1
+ Revision: 56465
- Remove BuildRoot
- Remove X11-devel BR
- Remove unused use of %%exclude
- imported package ocaml-lablgl

